
      SUBROUTINE PUTIN(IX,IY,NBAD,IBAD,IALPH)                           3360
	character*4 ialph

c	include 'tcommon.for'
	%include tcommon.for

C     ...PUT THINGS IN A QUADRANT.                                      3361
      DIMENSION IBAD(100,2)                                             3379
100   IX=RAN(IZZ)*10.+1.                                                3380
      IY=RAN(IZZ)*10.+1.                                                3381
      DO 200   I=1,NBAD                                                 3382
      IF(IX.EQ.IBAD(I,1).AND.IY.EQ.IBAD(I,2))GO TO 100                  3383
200   CONTINUE                                                          3384
      NBAD=NBAD+1                                                       3385
      IBAD(NBAD,1)=IX                                                   3386
      IBAD(NBAD,2)=IY                                                   3387
      IPQ(IX,IY)=IALPH                                                  3388
      RETURN                                                            3389
      END                                                               3390
